%global gemname table_print

%if 0%{?rhel} < 7
%global gem_dir /usr/lib/ruby/gems/1.8
%endif
%global geminstdir %{gem_dir}/gems/%{gemname}-%{version}

Summary: TablePrint turns objects into nicely formatted columns for easy reading
Name: rubygem-%{gemname}
Version: 1.5.1
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/arches/table_print
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
%if 0%{?fedora} > 18  || 0%{?rhel} > 6
Requires: ruby(release) = 2.0.0
BuildRequires: ruby(release) = 2.0.0
BuildRequires: rubygems-devel
%else
%if "%{?scl}" == "ruby193" || 0%{?fedora} > 16
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires:  %{?scl_prefix}rubygems-devel
%else
Requires: ruby(abi) = 1.8
BuildRequires: ruby(abi) = 1.8
%endif
%endif
Requires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
TablePrint turns objects into nicely formatted columns for easy reading.
Works great in rails console, works on pure ruby objects, auto-detects
columns, lets you traverse ActiveRecord associations. Simple, powerful.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%files
%dir %{geminstdir}
%{geminstdir}/lib
%exclude %{gem_dir}/cache/%{gemname}-%{version}.gem
%{gem_dir}/specifications/%{gemname}-%{version}.gemspec
%{geminstdir}/features
%{geminstdir}/spec
%{geminstdir}/Rakefile
%{geminstdir}/.rspec
%{geminstdir}/Gemfile
%exclude %{geminstdir}/%{gemname}.gemspec
%exclude %{geminstdir}/.document
%exclude %{geminstdir}/.gitignore
%exclude %{geminstdir}/.travis.yml

%files doc
%doc %{gem_dir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/LICENSE.txt

%changelog
* Mon May 05 2014 Jason Montleon <jmontleo@redhat.com> 1.5.1-3
- update table_print (Build)Requires to work with RHEL 7 (jmontleo@redhat.com)

* Fri Mar 21 2014 Jason Montleon <jmontleo@redhat.com> 1.5.1-2
- Bump to 1.5.1 (mbacovsk@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 1.1.5-4
- new package built with tito

* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-3
- Fix up the spec's description and summary to remove rpmlint warnings
  (shk@redhat.com)

* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-2
- new package built with tito

* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-1
- Initial package creation
